# Method: customers.profiles.list

- [HTTP request](https://developers.google.com/chrome/management/reference/rest/v1/customers.profiles/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/chrome/management/reference/rest/v1/customers.profiles/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/chrome/management/reference/rest/v1/customers.profiles/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/chrome/management/reference/rest/v1/customers.profiles/list#body.request_body)
- [Response body](https://developers.google.com/chrome/management/reference/rest/v1/customers.profiles/list#body.response_body)
  - [JSON representation](https://developers.google.com/chrome/management/reference/rest/v1/customers.profiles/list#body.ListChromeBrowserProfilesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/chrome/management/reference/rest/v1/customers.profiles/list#body.aspect)
- [Try it!](https://developers.google.com/chrome/management/reference/rest/v1/customers.profiles/list#try-it)

Lists Chrome browser profiles of a customer based on the given search and sorting criteria.

### HTTP request

`GET https://chromemanagement.googleapis.com/v1/{parent=customers/*}/profiles`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Format: customers/{customer_id} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of profiles to return. The default page size is 100 if pageSize is unspecified, and the maximum page size allowed is 200. |
| `pageToken` | `string` Optional. The page token used to retrieve a specific page of the listing request. |
| `filter` | `string` Optional. The filter used to filter profiles. The following fields can be used in the filter: - profileId - displayName - userEmail - lastActivityTime - lastPolicySyncTime - lastStatusReportTime - firstEnrollmentTime - osPlatformType - osVersion - browserVersion - browserChannel - policyCount - extensionCount - identityProvider - affiliationState - osPlatformVersion - ouId <br /> Any of the above fields can be used to specify a filter, and filtering by multiple fields is supported with AND operator. String type fields and enum type fields support '=' and '!=' operators. The integer type and the timestamp type fields support '=', '!=', '\<', '\>', '\<=' and '\>=' operators. Timestamps expect an RFC-3339 formatted string (e.g. 2012-04-21T11:30:00-04:00). Wildcard '\*' can be used with a string type field filter. In addition, string literal filtering is also supported, for example, 'ABC' as a filter maps to a filter that checks if any of the filterable string type fields contains 'ABC'. Organization unit number can be used as a filtering criteria here by specifying 'ouId = ${your_org_unit_id}', please note that only single OU ID matching is supported. |
| `orderBy` | `string` Optional. The fields used to specify the ordering of the results. The supported fields are: - profileId - displayName - userEmail - lastActivityTime - lastPolicySyncTime - lastStatusReportTime - firstEnrollmentTime - osPlatformType - osVersion - browserVersion - browserChannel - policyCount - extensionCount - identityProvider - affiliationState - osPlatformVersion <br /> By default, sorting is in ascending order, to specify descending order for a field, a suffix " desc" should be added to the field name. The default ordering is the descending order of lastStatusReportTime. |

### Request body

The request body must be empty.

### Response body

Response to profiles.list method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "chromeBrowserProfiles": [ { object (`https://developers.google.com/chrome/management/reference/rest/v1/customers.profiles#ChromeBrowserProfile`) } ], "nextPageToken": string, "totalSize": string } ``` |

| Fields ||
|---|---|
| `chromeBrowserProfiles[]` | ``object (`https://developers.google.com/chrome/management/reference/rest/v1/customers.profiles#ChromeBrowserProfile`)`` The list of profiles returned. |
| `nextPageToken` | `string` The pagination token that can be used to list the next page. |
| `totalSize` | `string (https://developers.google.com/discovery/v1/type-format format)` Total size represents an estimated number of resources returned. Not guaranteed to be accurate above 10k profiles. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/chrome.management.profiles.readonly`
- `https://www.googleapis.com/auth/chrome.management.profiles`